html, body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  touch-action: none;
  font-family: sans-serif;
}

#viewport {
  position: relative;
  width: 100vw;
  height: 100vh;
  background: #111;
  overflow: hidden;
  touch-action: none;

}

#mapLayer {
  position: absolute;
  left: 0;
  top: 0;
  width: 1261px;
  height: 892px;
  transform: translate(0px, 0px);
  will-change: transform;
}

#mapImage {
  display: block;
  width: 1261px;
  height: 892px;
  user-select: none;
  -webkit-user-drag: none;
  pointer-events: none;
}

.spot {
  position: absolute;
  left: 0;
  top: 0;
  width: 20px;
  height: 20px;
  transform: translate(-50%, -50%);
  border: none;
  border-radius: 50%;
  background: rgba(255, 80, 80, 0.95);
  padding: 0;
  cursor: pointer;
}